Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillCategoryDataset

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElementDataset
          net.sf.jasperreports.engine.fill.JRFillChartDataset
              net.sf.jasperreports.charts.fill.JRFillCategoryDataset

All Implemented Interfaces:
  java.lang.Cloneable, JRCategoryDataset, JRChartDataset, JRCloneable, JRElementDataset

    public class JRFillCategoryDataset

extends JRFillChartDataset
implements JRCategoryDataset

Version:
  $Id: JRFillCategoryDataset.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected JRFillCategorySeries[]` | `categorySeries`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset
`datasetRun, incrementGroup, parent, resetGroup`

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Constructor Summary
`JRFillCategoryDataset(JRCategoryDataset categoryDataset, JRFillObjectFactory factory)`

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`protected void` | `customEvaluate(JRCalculator calculator)` Evaluates the expressions associated with the dataset.
`protected void` | `customIncrement()` Increments the dataset by collecting the result of the expression evaluation.
`protected void` | `customInitialize()` Initializes the element dataset.
`org.jfree.data.general.Dataset` | `getCustomDataset()`
`byte` | `getDatasetType()` Gets the dataset type.
`java.util.Map` | `getItemHyperlinks()`
`java.lang.Object` | `getLabelGenerator()`
`JRCategorySeries[]` | `getSeries()`
`boolean` | `hasItemHyperlinks()`
`void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartDataset
`getDataset`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset
`clone, evaluate, evaluateDatasetRun, evaluateIncrementWhenExpression, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getInputDataset, getResetGroup, getResetType, getResetTypeValue, getTimeZone, increment, initialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### categorySeries

    protected JRFillCategorySeries[] categorySeries

Constructor Detail

### JRFillCategoryDataset

    public JRFillCategoryDataset(JRCategoryDataset categoryDataset,
                                 JRFillObjectFactory factory)

Method Detail

### getSeries

    public JRCategorySeries[] getSeries()

  Specified by:
    `getSeries` in interface `JRCategoryDataset`

### customInitialize

    protected void customInitialize()

  Description copied from class: `JRFillElementDataset`
  Initializes the element dataset.

  The dataset is initialized before being used and after each time the dataset gets reset.

  Specified by:
    `customInitialize` in class `JRFillElementDataset`
  See Also:
    `JRFillElementDataset.getResetType()`

### customEvaluate

    protected void customEvaluate(JRCalculator calculator)
                           throws JRExpressionEvalException

  Description copied from class: `JRFillElementDataset`
  Evaluates the expressions associated with the dataset.

  Usually, the result of the evaluation would be preserved so that it is used in `JRFillElementDataset.customIncrement()`

  Specified by:
    `customEvaluate` in class `JRFillElementDataset`
  Parameters:
    `calculator` - used to evaluate expressions
  Throws:
    `JRExpressionEvalException` - any exception that occurs while evaluating expressions

### customIncrement

    protected void customIncrement()

  Description copied from class: `JRFillElementDataset`
  Increments the dataset by collecting the result of the expression evaluation.

  Specified by:
    `customIncrement` in class `JRFillElementDataset`

### getCustomDataset

    public org.jfree.data.general.Dataset getCustomDataset()

  Specified by:
    `getCustomDataset` in class `JRFillChartDataset`

### getDatasetType

    public byte getDatasetType()

  Description copied from interface: `JRChartDataset`
  Gets the dataset type. Must be one of the dataset type constants defined in this class.

  Specified by:
    `getDatasetType` in interface `JRChartDataset`

### getLabelGenerator

    public java.lang.Object getLabelGenerator()

  Specified by:
    `getLabelGenerator` in class `JRFillChartDataset`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElementDataset`

### getItemHyperlinks

    public java.util.Map getItemHyperlinks()

### hasItemHyperlinks

    public boolean hasItemHyperlinks()

### validate

    public void validate(JRVerifier verifier)

  Description copied from interface: `JRChartDataset`
  Validates the dataset using a verifier.

  Broken rules are collected by the verifier.

  Specified by:
    `validate` in interface `JRChartDataset`
  Parameters:
    `verifier` - the verifier to use for validation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com